<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$id = remove_junk($db->escape($_POST['recurso']));
    $operario = remove_junk($db->escape($_POST['operario']));
    $trac_95 = remove_junk($db->escape($_POST['trac_95']));
    $rot_final = remove_junk($db->escape($_POST['rot_final']));
    $ru_tumbado = remove_junk($db->escape($_POST['ru_tumbado']));
    $actividad = remove_junk($db->escape($_POST['actividad']));
    $tractorista = remove_junk($db->escape($_POST['tractorista']));
    $trac_110 = remove_junk($db->escape($_POST['trac_110']));
    $carreta = remove_junk($db->escape($_POST['carreta']));
    $compostera = remove_junk($db->escape($_POST['compostera']));
    $motofumigadora = remove_junk($db->escape($_POST['motofumigadora']));
    $fecha = remove_junk($db->escape($_POST['fecha']));
    $tractor_75 = remove_junk($db->escape($_POST['tractor_75']));
    $roturado = remove_junk($db->escape($_POST['roturado']));
    $rufa_inicial = remove_junk($db->escape($_POST['rufa_inicial']));
    $aireador = remove_junk($db->escape($_POST['aireador']));
    $Observaciones = remove_junk($db->escape($_POST['Observaciones']));
    $clasificador = remove_junk($db->escape($_POST['clasificador']));
    $caleadora = remove_junk($db->escape($_POST['caleadora']));
    $trituradora = remove_junk($db->escape($_POST['trituradora']));
    $lamina = remove_junk($db->escape($_POST['lamina']));
    $rebobinadora = remove_junk($db->escape($_POST['rebobinadora']));
    $minitractor = remove_junk($db->escape($_POST['minitractor']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($fecha);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    $semana = date("W", $fechaEntera);

    //Suma de Variables para hallar dotacion, implemento, tractores programados.
    $DotacionProgramaDiario = $operario + $tractorista;
    $ImplementoProgramaDiario = $roturado + $rot_final + $carreta + $rufa_inicial + $ru_tumbado + $compostera + $aireador + $motofumigadora + $clasificador + $caleadora + $trituradora + $lamina + $rebobinadora ;
    $TractoresProgramaDiario = $tractor_75 + $trac_95 + $trac_110 + $minitractor;
   
    //Calcula el combustible
    if ($tractor_75 > 0)
    {
        $HorasTractor75HP = $tractor_75;
        $PCombustible75HPProgramaDiario = ($HorasTractor75HP * 1.25);
    }else{
        $PCombustible75HPProgramaDiario = 0;
    }

    if ($trac_95 > 0)
    {
        $HorasTractor95HP = $trac_95;
        $PCombustible95HPProgramaDiario = ($HorasTractor95HP * 1.25);
    }else{
        $PCombustible95HPProgramaDiario = 0;
    }

    if ($trac_110 > 0)
    {
        $HorasTractor110HP = $trac_110;
        $PCombustible110HPProgramaDiario = ($HorasTractor110HP * 1.25);
    }else{
        $PCombustible110HPProgramaDiario = 0;
    }

    if ($minitractor > 0)
    {
        $HorasMiniTractorHP = $minitractor;
        $PCombustibleMinitTractorHPProgramaDiario = ($HorasMiniTractorHP * 1.25);
    }else{
        $PCombustibleMinitTractorHPProgramaDiario = 0;
    }

    if($tractor_75 >0 || $trac_95 >0 || $trac_110 >0 || $minitractor > 0)
    {
        $PTotalTractorCombustible = $PCombustible75HPProgramaDiario + $PCombustible95HPProgramaDiario + $PCombustible110HPProgramaDiario + $PCombustibleMinitTractorHPProgramaDiario;
    }else{
        $PTotalTractorCombustible = 0;
    }
    
 
    $query ="UPDATE detalleprograma SET FechaRegistroDetallePrograma = '$registro', FechaRecursoProgramaDiario = '$fecha', JornalesOperariosProgramaDiario = '$operario', TractorPotencia75HPProgramaDiario = '$tractor_75', TractorPotencia95HPProgramaDiario = '$trac_95', TractorPotencia110HPProgramaDiario = '$trac_110', RoticultorInicialProgramaDiario = '$roturado', CarretaProgramaDiario = '$carreta', RufaInicialProgramaDiario = '$rufa_inicial', ComposteadoraProgramaDiario = '$compostera', AireadorProgramaDiario = '$aireador', MotofumigadoraProgramaDiario = '$motofumigadora', ClasificadorProgramaDiario = '$clasificador', CaleadoraProgramaDiario ='$caleadora', TrituradoraProgramaDiario ='$trituradora',  LaminaProgramaDiario ='$lamina', RebobinadoraProgramaDiario ='$rebobinadora', MinitractorProgramaDiario = '$minitractor',IdActividad = '$actividad', ObservacionDetallePrograma = '$Observaciones', JornalesTractoristaProgramaDiario = '$tractorista', RoticultorFinalProgramaDiario = '$rot_final', RufaTumbadoProgramaDiario = '$ru_tumbado', IdAnio = '$anio', IdSemanaRptPrograma = '$semana', IdMes = '$mes' ,DotacionProgramaDiario='$DotacionProgramaDiario',ImplementoProgramaDiario='$ImplementoProgramaDiario',TractoresProgramaDiario='$TractoresProgramaDiario',PTotalTractorCombustible='$PTotalTractorCombustible',PCombustible75HPProgramaDiario='$PCombustible75HPProgramaDiario',PCombustible95HPProgramaDiario='$PCombustible95HPProgramaDiario',PCombustible110HPProgramaDiario='$PCombustible110HPProgramaDiario',PCombustibleMinitTractorHPProgramaDiario='$PCombustibleMinitTractorHPProgramaDiario' WHERE id= $id";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


